#ifndef _CBUTTONGUI_H_
#define _CBUTTONGUI_H_

#include "../App/EngineH.h"
#include "CBaseGUI.h"
#include "../App/CBaseGL.h"

class C_BUTTON_0 : public C_BASEGUI_0
{
private :
	bool _clickMouse;
	bool _mouseMove;
	POINT _mousePos;
	uint _texture_id;
	uint _tex_sta;
	uint _tex_move;
	uint _tex_click;
	std::string _textMouseMove;

public :
	C_BUTTON_0(std::string name, uint _tex_sta, uint _tex_move, uint _tex_click,TRect rect, TRGBi color = RGBi_WHITE);

public :
	virtual void Keyboard(bool keys[255]);
	virtual void MouseClick(int button, int x, int y);
	virtual void MouseMove(int x, int y);
	virtual void MouseMoveEx(int x, int y);
	virtual void Render(bool focus);
	void SetTextMouseMove( std::string text );
	uint GetTextureId() const {return _texture_id;}
};

#endif //_CBUTTONGUI_H_